Index: kernel/tgb.cc
===================================================================
--- kernel/tgb.cc	(revision 410ea0fb1e22ebcb52e33b6789cf294a2d1f663b)
+++ kernel/tgb.cc	(revision db83bf13b62d944de021f52de5ae04b7ffd0390e)
@@ -3863,11 +3787,10 @@
 }
 
-#if 0				// currently unused
-static sorted_pair_node *
-pop_pair (slimgb_alg * c)
+#if 0                           // currently unused
+static sorted_pair_node *pop_pair (slimgb_alg * c)
 {
   clean_top_of_pair_list (c);
 
-  if (c->pair_top < 0)
+  if(c->pair_top < 0)
     return NULL;
   else
@@ -3876,68 +3799,67 @@
 #endif
 
-void
-slimgb_alg::cleanDegs (int lower, int upper)
+void slimgb_alg::cleanDegs (int lower, int upper)
 {
   assume (is_homog);
   int deg;
-  if (TEST_OPT_PROT)
+  if(TEST_OPT_PROT)
   {
     PrintS ("C");
   }
-  for (deg = lower; deg <= upper; deg++)
+  for(deg = lower; deg <= upper; deg++)
   {
     int i;
-    for (i = 0; i < n; i++)
-    {
-      if (T_deg[i] == deg)
-      {
-	poly h;
-	h = S->m[i];
-	h = redNFTail (h, strat->sl, strat, lengths[i]);
-	if (!rField_is_Zp (r))
-	{
-	  p_Cleardenom (h, r);
-	  //p_Content(h,r);
-	}
-	else
-	  pNorm (h);
-	//TODO:GCD of TERMS
-	poly got =::gcd_of_terms (h, r);
-	p_Delete (&gcd_of_terms[i], r);
-	gcd_of_terms[i] = got;
-	int len = pLength (h);
-	wlen_type wlen = pQuality (h, this, len);
-	if (weighted_lengths)
-	  weighted_lengths[i] = wlen;
-	lengths[i] = len;
-	assume (h == S->m[i]);
-	int j;
-	for (j = 0; j <= strat->sl; j++)
-	{
-	  if (h == strat->S[j])
-	  {
-	    int new_pos = simple_posInS (strat, h, len, wlen);
-	    if (strat->lenS)
-	    {
-	      strat->lenS[j] = len;
-	    }
-	    if (strat->lenSw)
-	    {
-	      strat->lenSw[j] = wlen;
-	    }
-	    if (new_pos < j)
-	    {
-	      move_forward_in_S (j, new_pos, strat);
-	    }
-	    else
-	    {
-	      if (new_pos > j)
-		new_pos = new_pos - 1;	//is identical with one element
-	      if (new_pos > j)
-		move_backward_in_S (j, new_pos, strat);
-	    }
-	    break;
-	  }
-	}
+    for(i = 0; i < n; i++)
+    {
+      if(T_deg[i] == deg)
+      {
+        poly h;
+        h = S->m[i];
+        h = redNFTail (h, strat->sl, strat, lengths[i]);
+        if(!rField_is_Zp (r))
+        {
+          p_Cleardenom (h, r);
+          //p_Content(h,r);
+        }
+        else
+          pNorm (h);
+        //TODO:GCD of TERMS
+        poly got =::gcd_of_terms (h, r);
+        p_Delete (&gcd_of_terms[i], r);
+        gcd_of_terms[i] = got;
+        int len = pLength (h);
+        wlen_type wlen = pQuality (h, this, len);
+        if(weighted_lengths)
+          weighted_lengths[i] = wlen;
+        lengths[i] = len;
+        assume (h == S->m[i]);
+        int j;
+        for(j = 0; j <= strat->sl; j++)
+        {
+          if(h == strat->S[j])
+          {
+            int new_pos = simple_posInS (strat, h, len, wlen);
+            if(strat->lenS)
+            {
+              strat->lenS[j] = len;
+            }
+            if(strat->lenSw)
+            {
+              strat->lenSw[j] = wlen;
+            }
+            if(new_pos < j)
+            {
+              move_forward_in_S (j, new_pos, strat);
+            }
+            else
+            {
+              if(new_pos > j)
+                new_pos = new_pos - 1;  //is identical with one element
+              if(new_pos > j)
+                move_backward_in_S (j, new_pos, strat);
+            }
+            break;
+          }
+        }
       }
     }
@@ -3945,12 +3867,12 @@
   {
     int i, j;
-    for (i = 0; i < this->n; i++)
-    {
-      for (j = 0; j < i; j++)
-      {
-	if (T_deg[i] + T_deg[j] <= upper)
-	{
-	  now_t_rep (i, j, this);
-	}
+    for(i = 0; i < this->n; i++)
+    {
+      for(j = 0; j < i; j++)
+      {
+        if(T_deg[i] + T_deg[j] <= upper)
+        {
+          now_t_rep (i, j, this);
+        }
       }
     }
@@ -3960,12 +3882,11 @@
 }
 
-sorted_pair_node *
-top_pair (slimgb_alg * c)
-{
-  while (c->pair_top >= 0)
-  {
-    super_clean_top_of_pair_list (c);	//yeah, I know, it's odd that I use a different proc here
-    if ((c->is_homog) && (c->pair_top >= 0)
-	&& (c->apairs[c->pair_top]->deg >= c->lastCleanedDeg + 2))
+sorted_pair_node *top_pair (slimgb_alg * c)
+{
+  while(c->pair_top >= 0)
+  {
+    super_clean_top_of_pair_list (c);   //yeah, I know, it's odd that I use a different proc here
+    if((c->is_homog) && (c->pair_top >= 0)
+       && (c->apairs[c->pair_top]->deg >= c->lastCleanedDeg + 2))
     {
       int upper = c->apairs[c->pair_top]->deg - 1;
@@ -3979,5 +3900,5 @@
   }
 
-  if (c->pair_top < 0)
+  if(c->pair_top < 0)
     return NULL;
   else
@@ -3985,8 +3906,7 @@
 }
 
-sorted_pair_node *
-quick_pop_pair (slimgb_alg * c)
-{
-  if (c->pair_top < 0)
+sorted_pair_node *quick_pop_pair (slimgb_alg * c)
+{
+  if(c->pair_top < 0)
     return NULL;
   else
@@ -3994,12 +3914,11 @@
 }
 
-static void
-super_clean_top_of_pair_list (slimgb_alg * c)
-{
-  while ((c->pair_top >= 0)
-	 && (c->apairs[c->pair_top]->i >= 0)
-	 &&
-	 (good_has_t_rep
-	  (c->apairs[c->pair_top]->j, c->apairs[c->pair_top]->i, c)))
+static void super_clean_top_of_pair_list (slimgb_alg * c)
+{
+  while((c->pair_top >= 0)
+        && (c->apairs[c->pair_top]->i >= 0)
+        &&
+        (good_has_t_rep
+         (c->apairs[c->pair_top]->j, c->apairs[c->pair_top]->i, c)))
   {
     free_sorted_pair_node (c->apairs[c->pair_top], c->r);
@@ -4008,12 +3927,11 @@
 }
 
-void
-clean_top_of_pair_list (slimgb_alg * c)
-{
-  while ((c->pair_top >= 0) && (c->apairs[c->pair_top]->i >= 0)
-	 &&
-	 (!state_is
-	  (UNCALCULATED, c->apairs[c->pair_top]->j, c->apairs[c->pair_top]->i,
-	   c)))
+void clean_top_of_pair_list (slimgb_alg * c)
+{
+  while((c->pair_top >= 0) && (c->apairs[c->pair_top]->i >= 0)
+        &&
+        (!state_is
+         (UNCALCULATED, c->apairs[c->pair_top]->j, c->apairs[c->pair_top]->i,
+          c)))
   {
     free_sorted_pair_node (c->apairs[c->pair_top], c->r);
@@ -4024,5 +3942,5 @@
 static BOOLEAN
 state_is (calc_state state, const int &arg_i, const int &arg_j,
-	  slimgb_alg * c)
+          slimgb_alg * c)
 {
   assume (0 <= arg_i);
@@ -4030,9 +3948,9 @@
   assume (arg_i < c->n);
   assume (arg_j < c->n);
-  if (arg_i == arg_j)
+  if(arg_i == arg_j)
   {
     return (TRUE);
   }
-  if (arg_i > arg_j)
+  if(arg_i > arg_j)
   {
     return (c->states[arg_i][arg_j] == state);
@@ -4042,8 +3960,7 @@
 }
 
-void
-free_sorted_pair_node (sorted_pair_node * s, ring r)
-{
-  if (s->i >= 0)
+void free_sorted_pair_node (sorted_pair_node * s, ring r)
+{
+  if(s->i >= 0)
     p_Delete (&s->lcm_of_lm, r);
   omfree (s);
@@ -4053,31 +3970,30 @@
 pair_better (sorted_pair_node * a, sorted_pair_node * b, slimgb_alg * c)
 {
-  if (a->deg < b->deg)
+  if(a->deg < b->deg)
     return TRUE;
-  if (a->deg > b->deg)
+  if(a->deg > b->deg)
     return FALSE;
 
   int comp = pLmCmp (a->lcm_of_lm, b->lcm_of_lm);
-  if (comp == 1)
+  if(comp == 1)
     return FALSE;
-  if (-1 == comp)
+  if(-1 == comp)
     return TRUE;
-  if (a->expected_length < b->expected_length)
+  if(a->expected_length < b->expected_length)
     return TRUE;
-  if (a->expected_length > b->expected_length)
+  if(a->expected_length > b->expected_length)
     return FALSE;
-  if (a->i + a->j < b->i + b->j)
+  if(a->i + a->j < b->i + b->j)
     return TRUE;
-  if (a->i + a->j > b->i + b->j)
+  if(a->i + a->j > b->i + b->j)
     return FALSE;
-  if (a->i < b->i)
+  if(a->i < b->i)
     return TRUE;
-  if (a->i > b->i)
+  if(a->i > b->i)
     return FALSE;
   return TRUE;
 }
 
-static int
-tgb_pair_better_gen (const void *ap, const void *bp)
+static int tgb_pair_better_gen (const void *ap, const void *bp)
 {
   sorted_pair_node *a = *((sorted_pair_node **) ap);
@@ -4085,32 +4001,31 @@
   assume ((a->i > a->j) || (a->i < 0));
   assume ((b->i > b->j) || (b->i < 0));
-  if (a->deg < b->deg)
+  if(a->deg < b->deg)
     return -1;
-  if (a->deg > b->deg)
+  if(a->deg > b->deg)
     return 1;
 
   int comp = pLmCmp (a->lcm_of_lm, b->lcm_of_lm);
 
-  if (comp == 1)
+  if(comp == 1)
     return 1;
-  if (-1 == comp)
+  if(-1 == comp)
     return -1;
-  if (a->expected_length < b->expected_length)
+  if(a->expected_length < b->expected_length)
     return -1;
-  if (a->expected_length > b->expected_length)
+  if(a->expected_length > b->expected_length)
     return 1;
-  if (a->i + a->j < b->i + b->j)
+  if(a->i + a->j < b->i + b->j)
     return -1;
-  if (a->i + a->j > b->i + b->j)
+  if(a->i + a->j > b->i + b->j)
     return 1;
-  if (a->i < b->i)
+  if(a->i < b->i)
     return -1;
-  if (a->i > b->i)
+  if(a->i > b->i)
     return 1;
   return 0;
 }
 
-static poly
-gcd_of_terms (poly p, ring r)
+static poly gcd_of_terms (poly p, ring r)
 {
   int max_g_0 = 0;
@@ -4119,26 +4034,26 @@
   poly m = pOne ();
   poly t;
-  for (i = pVariables; i; i--)
+  for(i = pVariables; i; i--)
   {
     pSetExp (m, i, pGetExp (p, i));
-    if (max_g_0 == 0)
-      if (pGetExp (m, i) > 0)
-	max_g_0 = i;
+    if(max_g_0 == 0)
+      if(pGetExp (m, i) > 0)
+        max_g_0 = i;
   }
 
   t = p->next;
-  while (t != NULL)
-  {
-    if (max_g_0 == 0)
+  while(t != NULL)
+  {
+    if(max_g_0 == 0)
       break;
-    for (i = max_g_0; i; i--)
+    for(i = max_g_0; i; i--)
     {
       pSetExp (m, i, si_min (pGetExp (t, i), pGetExp (m, i)));
-      if (max_g_0 == i)
-	if (pGetExp (m, i) == 0)
-	  max_g_0 = 0;
-      if ((max_g_0 == 0) && (pGetExp (m, i) > 0))
-      {
-	max_g_0 = i;
+      if(max_g_0 == i)
+        if(pGetExp (m, i) == 0)
+          max_g_0 = 0;
+      if((max_g_0 == 0) && (pGetExp (m, i) > 0))
+      {
+        max_g_0 = i;
       }
     }
@@ -4146,5 +4061,5 @@
   }
   p_Setm (m, r);
-  if (max_g_0 > 0)
+  if(max_g_0 > 0)
     return m;
   pDelete (&m);
@@ -4152,17 +4067,16 @@
 }
 
-static inline BOOLEAN
-pHasNotCFExtended (poly p1, poly p2, poly m)
-{
-
-  if (pGetComp (p1) > 0 || pGetComp (p2) > 0)
+static inline BOOLEAN pHasNotCFExtended (poly p1, poly p2, poly m)
+{
+
+  if(pGetComp (p1) > 0 || pGetComp (p2) > 0)
     return FALSE;
   int i = 1;
   loop
   {
-    if ((pGetExp (p1, i) - pGetExp (m, i) > 0)
-	&& (pGetExp (p2, i) - pGetExp (m, i) > 0))
+    if((pGetExp (p1, i) - pGetExp (m, i) > 0)
+       && (pGetExp (p2, i) - pGetExp (m, i) > 0))
       return FALSE;
-    if (i == pVariables)
+    if(i == pVariables)
       return TRUE;
     i++;
@@ -4173,16 +4087,16 @@
 static inline BOOLEAN
 extended_product_criterion (poly p1, poly gcd1, poly p2, poly gcd2,
-			    slimgb_alg * c)
-{
-  if (c->nc)
+                            slimgb_alg * c)
+{
+  if(c->nc)
     return FALSE;
-  if (gcd1 == NULL)
+  if(gcd1 == NULL)
     return FALSE;
-  if (gcd2 == NULL)
+  if(gcd2 == NULL)
     return FALSE;
-  gcd1->next = gcd2;		//may ordered incorrect
+  gcd1->next = gcd2;            //may ordered incorrect
   poly m = gcd_of_terms (gcd1, c->r);
   gcd1->next = NULL;
-  if (m == NULL)
+  if(m == NULL)
     return FALSE;
 
@@ -4192,7 +4106,6 @@
 }
 
-#if 0				//currently unused
-static poly
-kBucketGcd (kBucket * b, ring r)
+#if 0                           //currently unused
+static poly kBucketGcd (kBucket * b, ring r)
 {
   int s = 0;
@@ -4200,31 +4113,31 @@
   poly m, n;
   BOOLEAN initialized = FALSE;
-  for (i = MAX_BUCKET - 1; i >= 0; i--)
-  {
-    if (b->buckets[i] != NULL)
-    {
-      if (!initialized)
-      {
-	m = gcd_of_terms (b->buckets[i], r);
-	initialized = TRUE;
-	if (m == NULL)
-	  return NULL;
+  for(i = MAX_BUCKET - 1; i >= 0; i--)
+  {
+    if(b->buckets[i] != NULL)
+    {
+      if(!initialized)
+      {
+        m = gcd_of_terms (b->buckets[i], r);
+        initialized = TRUE;
+        if(m == NULL)
+          return NULL;
       }
       else
       {
-	n = gcd_of_terms (b->buckets[i], r);
-	if (n == NULL)
-	{
-	  pDelete (&m);
-	  return NULL;
-	}
-	n->next = m;
-	poly t = gcd_of_terms (n, r);
-	n->next = NULL;
-	pDelete (&m);
-	pDelete (&n);
-	m = t;
-	if (m == NULL)
-	  return NULL;
+        n = gcd_of_terms (b->buckets[i], r);
+        if(n == NULL)
+        {
+          pDelete (&m);
+          return NULL;
+        }
+        n->next = m;
+        poly t = gcd_of_terms (n, r);
+        n->next = NULL;
+        pDelete (&m);
+        pDelete (&n);
+        m = t;
+        if(m == NULL)
+          return NULL;
 
       }
@@ -4235,8 +4148,7 @@
 #endif
 
-static inline wlen_type
-quality_of_pos_in_strat_S (int pos, slimgb_alg * c)
-{
-  if (c->strat->lenSw != NULL)
+static inline wlen_type quality_of_pos_in_strat_S (int pos, slimgb_alg * c)
+{
+  if(c->strat->lenSw != NULL)
     return c->strat->lenSw[pos];
   return c->strat->lenS[pos];
@@ -4260,11 +4172,11 @@
 static void
 multi_reduction_lls_trick (red_object * los, int losl, slimgb_alg * c,
-			   find_erg & erg)
+                           find_erg & erg)
 {
   erg.expand = NULL;
-  BOOLEAN swap_roles;		//from reduce_by, to_reduce_u if fromS
-  if (erg.fromS)
-  {
-    if (pLmEqual (c->strat->S[erg.reduce_by], los[erg.to_reduce_u].p))
+  BOOLEAN swap_roles;           //from reduce_by, to_reduce_u if fromS
+  if(erg.fromS)
+  {
+    if(pLmEqual (c->strat->S[erg.reduce_by], los[erg.to_reduce_u].p))
     {
       wlen_type quality_a = quality_of_pos_in_strat_S (erg.reduce_by, c);
@@ -4284,102 +4196,102 @@
       wlen_type qc;
       best = find_best (los, erg.to_reduce_l, erg.to_reduce_u, qc, c);
-      if (qc < quality_a)
-      {
-	los[best].flatten ();
-	int b_pos = kBucketCanonicalize (los[best].bucket);
-	los[best].p = los[best].bucket->buckets[b_pos];
-	qc = pQuality (los[best].bucket->buckets[b_pos], c);
-	if (qc < quality_a)
-	{
-	  red_object h = los[erg.to_reduce_u];
-	  los[erg.to_reduce_u] = los[best];
-	  los[best] = h;
-	  swap_roles = TRUE;
-	}
-	else
-	  swap_roles = FALSE;
+      if(qc < quality_a)
+      {
+        los[best].flatten ();
+        int b_pos = kBucketCanonicalize (los[best].bucket);
+        los[best].p = los[best].bucket->buckets[b_pos];
+        qc = pQuality (los[best].bucket->buckets[b_pos], c);
+        if(qc < quality_a)
+        {
+          red_object h = los[erg.to_reduce_u];
+          los[erg.to_reduce_u] = los[best];
+          los[best] = h;
+          swap_roles = TRUE;
+        }
+        else
+          swap_roles = FALSE;
       }
       else
       {
-	swap_roles = FALSE;
+        swap_roles = FALSE;
       }
     }
     else
     {
-      if (erg.to_reduce_u > erg.to_reduce_l)
-      {
-	wlen_type quality_a = quality_of_pos_in_strat_S (erg.reduce_by, c);
+      if(erg.to_reduce_u > erg.to_reduce_l)
+      {
+        wlen_type quality_a = quality_of_pos_in_strat_S (erg.reduce_by, c);
 #ifdef HAVE_PLURAL
-	if ((c->nc) && (!(rIsSCA (c->r))))
-	  quality_a =
-	    quality_of_pos_in_strat_S_mult_high (erg.reduce_by,
-						 los[erg.to_reduce_u].p, c);
-#endif
-	int best = erg.to_reduce_u + 1;
-	wlen_type qc;
-	best = find_best (los, erg.to_reduce_l, erg.to_reduce_u, qc, c);
-	assume (qc == los[best].guess_quality (c));
-	if (qc < quality_a)
-	{
-	  los[best].flatten ();
-	  int b_pos = kBucketCanonicalize (los[best].bucket);
-	  los[best].p = los[best].bucket->buckets[b_pos];
-	  qc = pQuality (los[best].bucket->buckets[b_pos], c);
-	  //(best!=erg.to_reduce_u+1)
-	  if (qc < quality_a)
-	  {
-	    red_object h = los[erg.to_reduce_u];
-	    los[erg.to_reduce_u] = los[best];
-	    los[best] = h;
-	    erg.reduce_by = erg.to_reduce_u;
-	    erg.fromS = FALSE;
-	    erg.to_reduce_u--;
-	  }
-	}
+        if((c->nc) && (!(rIsSCA (c->r))))
+          quality_a =
+            quality_of_pos_in_strat_S_mult_high (erg.reduce_by,
+                                                 los[erg.to_reduce_u].p, c);
+#endif
+        int best = erg.to_reduce_u + 1;
+        wlen_type qc;
+        best = find_best (los, erg.to_reduce_l, erg.to_reduce_u, qc, c);
+        assume (qc == los[best].guess_quality (c));
+        if(qc < quality_a)
+        {
+          los[best].flatten ();
+          int b_pos = kBucketCanonicalize (los[best].bucket);
+          los[best].p = los[best].bucket->buckets[b_pos];
+          qc = pQuality (los[best].bucket->buckets[b_pos], c);
+          //(best!=erg.to_reduce_u+1)
+          if(qc < quality_a)
+          {
+            red_object h = los[erg.to_reduce_u];
+            los[erg.to_reduce_u] = los[best];
+            los[best] = h;
+            erg.reduce_by = erg.to_reduce_u;
+            erg.fromS = FALSE;
+            erg.to_reduce_u--;
+          }
+        }
       }
       else
       {
-	assume (erg.to_reduce_u == erg.to_reduce_l);
-	wlen_type quality_a = quality_of_pos_in_strat_S (erg.reduce_by, c);
-	wlen_type qc = los[erg.to_reduce_u].guess_quality (c);
-	if (qc < 0)
-	  PrintS ("Wrong wlen_type");
-	if (qc < quality_a)
-	{
-	  int best = erg.to_reduce_u;
-	  los[best].flatten ();
-	  int b_pos = kBucketCanonicalize (los[best].bucket);
-	  los[best].p = los[best].bucket->buckets[b_pos];
-	  qc = pQuality (los[best].bucket->buckets[b_pos], c);
-	  assume (qc >= 0);
-	  if (qc < quality_a)
-	  {
-	    BOOLEAN exp = FALSE;
-	    if (qc <= 2)
-	    {
-	      //Print("\n qc is %lld \n",qc);
-	      exp = TRUE;
-	    }
-	    else
-	    {
-	      if (qc < quality_a / 2)
-		exp = TRUE;
-	      else if (erg.reduce_by < c->n / 4)
-		exp = TRUE;
-	    }
-	    if (exp)
-	    {
-	      poly clear_into;
-	      los[erg.to_reduce_u].flatten ();
-	      kBucketClear (los[erg.to_reduce_u].bucket, &clear_into,
-			    &erg.expand_length);
-	      erg.expand = pCopy (clear_into);
-	      kBucketInit (los[erg.to_reduce_u].bucket, clear_into,
-			   erg.expand_length);
-	      if (TEST_OPT_PROT)
-		PrintS ("e");
-	    }
-	  }
-	}
+        assume (erg.to_reduce_u == erg.to_reduce_l);
+        wlen_type quality_a = quality_of_pos_in_strat_S (erg.reduce_by, c);
+        wlen_type qc = los[erg.to_reduce_u].guess_quality (c);
+        if(qc < 0)
+          PrintS ("Wrong wlen_type");
+        if(qc < quality_a)
+        {
+          int best = erg.to_reduce_u;
+          los[best].flatten ();
+          int b_pos = kBucketCanonicalize (los[best].bucket);
+          los[best].p = los[best].bucket->buckets[b_pos];
+          qc = pQuality (los[best].bucket->buckets[b_pos], c);
+          assume (qc >= 0);
+          if(qc < quality_a)
+          {
+            BOOLEAN exp = FALSE;
+            if(qc <= 2)
+            {
+              //Print("\n qc is %lld \n",qc);
+              exp = TRUE;
+            }
+            else
+            {
+              if(qc < quality_a / 2)
+                exp = TRUE;
+              else if(erg.reduce_by < c->n / 4)
+                exp = TRUE;
+            }
+            if(exp)
+            {
+              poly clear_into;
+              los[erg.to_reduce_u].flatten ();
+              kBucketClear (los[erg.to_reduce_u].bucket, &clear_into,
+                            &erg.expand_length);
+              erg.expand = pCopy (clear_into);
+              kBucketInit (los[erg.to_reduce_u].bucket, clear_into,
+                           erg.expand_length);
+              if(TEST_OPT_PROT)
+                PrintS ("e");
+            }
+          }
+        }
       }
 
@@ -4390,5 +4302,5 @@
   else
   {
-    if (erg.reduce_by > erg.to_reduce_u)
+    if(erg.reduce_by > erg.to_reduce_u)
     {
       //then lm(rb)>= lm(tru) so =
@@ -4399,9 +4311,9 @@
       best = find_best (los, erg.to_reduce_l, erg.to_reduce_u, qc, c);
 
-      if (qc < quality_a)
-      {
-	red_object h = los[erg.reduce_by];
-	los[erg.reduce_by] = los[best];
-	los[best] = h;
+      if(qc < quality_a)
+      {
+        red_object h = los[erg.reduce_by];
+        los[erg.reduce_by] = los[best];
+        los[best] = h;
       }
       swap_roles = FALSE;
@@ -4417,24 +4329,24 @@
       wlen_type quality_a = los[erg.reduce_by].guess_quality (c);
       wlen_type qc;
-      while ((il > 0) && pLmEqual (los[il - 1].p, los[il].p))
-      {
-	il--;
-	qc = los[il].guess_quality (c);
-	if (qc < quality_a)
-	{
-	  quality_a = qc;
-	  erg.reduce_by = il;
-	}
+      while((il > 0) && pLmEqual (los[il - 1].p, los[il].p))
+      {
+        il--;
+        qc = los[il].guess_quality (c);
+        if(qc < quality_a)
+        {
+          quality_a = qc;
+          erg.reduce_by = il;
+        }
       }
       swap_roles = FALSE;
     }
   }
-  if (swap_roles)
-  {
-    if (TEST_OPT_PROT)
+  if(swap_roles)
+  {
+    if(TEST_OPT_PROT)
       PrintS ("b");
     poly clear_into;
     int new_length;
-    int bp = erg.to_reduce_u;	//bucket_positon
+    int bp = erg.to_reduce_u;   //bucket_positon
     //kBucketClear(los[bp].bucket,&clear_into,&new_length);
     new_length = los[bp].clear_to_poly ();
@@ -4442,7 +4354,7 @@
     poly p = c->strat->S[erg.reduce_by];
     int j = erg.reduce_by;
-    int old_length = c->strat->lenS[j];	// in view of S
+    int old_length = c->strat->lenS[j]; // in view of S
     los[bp].p = p;
-    if (c->eliminationProblem)
+    if(c->eliminationProblem)
     {
       los[bp].sugar = c->pTotaldegree_full (p);
@@ -4455,10 +4367,10 @@
     new_pos = simple_posInS (c->strat, clear_into, new_length, qal);
     assume (new_pos <= j);
-    for (z = c->n; z; z--)
-    {
-      if (p == c->S->m[z - 1])
-      {
-	pos_in_c = z - 1;
-	break;
+    for(z = c->n; z; z--)
+    {
+      if(p == c->S->m[z - 1])
+      {
+        pos_in_c = z - 1;
+        break;
       }
     }
@@ -4466,5 +4378,5 @@
     int tdeg_full = -1;
     int tdeg = -1;
-    if (pos_in_c >= 0)
+    if(pos_in_c >= 0)
     {
 #ifdef TGB_RESORT_PAIRS
@@ -4476,19 +4388,19 @@
       c->lengths[pos_in_c] = new_length;
       c->weighted_lengths[pos_in_c] = qal;
-      if (c->gcd_of_terms[pos_in_c] == NULL)
-	c->gcd_of_terms[pos_in_c] = gcd_of_terms (clear_into, c->r);
-      if (c->T_deg_full)
-	tdeg_full = c->T_deg_full[pos_in_c] =
-	  c->pTotaldegree_full (clear_into);
+      if(c->gcd_of_terms[pos_in_c] == NULL)
+        c->gcd_of_terms[pos_in_c] = gcd_of_terms (clear_into, c->r);
+      if(c->T_deg_full)
+        tdeg_full = c->T_deg_full[pos_in_c] =
+          c->pTotaldegree_full (clear_into);
       else
-	tdeg_full = tdeg;
+        tdeg_full = tdeg;
       c_S_element_changed_hook (pos_in_c, c);
     }
     else
     {
-      if (c->eliminationProblem)
-      {
-	tdeg_full = c->pTotaldegree_full (clear_into);
-	tdeg = c->pTotaldegree (clear_into);
+      if(c->eliminationProblem)
+      {
+        tdeg_full = c->pTotaldegree_full (clear_into);
+        tdeg = c->pTotaldegree (clear_into);
       }
     }
@@ -4497,9 +4409,9 @@
 
     assume (pLength (clear_into) == new_length);
-    if (c->strat->lenSw != NULL)
+    if(c->strat->lenSw != NULL)
       c->strat->lenSw[j] = qal;
-    if (!rField_is_Zp (c->r))
-    {
-      p_Cleardenom (clear_into, c->r);	//should be unnecessary
+    if(!rField_is_Zp (c->r))
+    {
+      p_Cleardenom (clear_into, c->r);  //should be unnecessary
       //p_Content(clear_into, c->r);
     }
@@ -4512,8 +4424,8 @@
     //input polys
 #else
-    if (new_pos < j)
-    {
-      if (c->strat->honey)
-	c->strat->ecartS[j] = tdeg_full - tdeg;
+    if(new_pos < j)
+    {
+      if(c->strat->honey)
+        c->strat->ecartS[j] = tdeg_full - tdeg;
       move_forward_in_S (j, new_pos, c->strat);
       erg.reduce_by = new_pos;
@@ -4523,6 +4435,5 @@
 }
 
-static int
-fwbw (red_object * los, int i)
+static int fwbw (red_object * los, int i)
 {
   int i2 = i;
@@ -4532,22 +4443,22 @@
   BOOLEAN incr = TRUE;
 
-  while (1)
-  {
-    if (!bw)
+  while(1)
+  {
+    if(!bw)
     {
       step = si_min (i2, step);
-      if (step == 0)
-	break;
+      if(step == 0)
+        break;
       i2 -= step;
 
-      if (!pLmEqual (los[i].p, los[i2].p))
-      {
-	bw = TRUE;
-	incr = FALSE;
+      if(!pLmEqual (los[i].p, los[i2].p))
+      {
+        bw = TRUE;
+        incr = FALSE;
       }
       else
       {
-	if ((!incr) && (step == 1))
-	  break;
+        if((!incr) && (step == 1))
+          break;
       }
     }
@@ -4555,25 +4466,25 @@
     {
       step = si_min (i - i2, step);
-      if (step == 0)
-	break;
+      if(step == 0)
+        break;
       i2 += step;
-      if (pLmEqual (los[i].p, los[i2].p))
-      {
-	if (step == 1)
-	  break;
-	else
-	{
-	  bw = FALSE;
-	}
-      }
-    }
-    if (incr)
+      if(pLmEqual (los[i].p, los[i2].p))
+      {
+        if(step == 1)
+          break;
+        else
+        {
+          bw = FALSE;
+        }
+      }
+    }
+    if(incr)
       step *= 2;
     else
     {
-      if (step % 2 == 1)
-	step = (step + 1) / 2;
+      if(step % 2 == 1)
+        step = (step + 1) / 2;
       else
-	step /= 2;
+        step /= 2;
     }
   }
@@ -4586,5 +4497,5 @@
   assume (l <= u + 1);
   int i;
-  for (i = l; i <= u; i++)
+  for(i = l; i <= u; i++)
   {
     kBucketCanonicalize (los[i].bucket);
@@ -4594,5 +4505,5 @@
 static void
 multi_reduction_find (red_object * los, int losl, slimgb_alg * c, int startf,
-		      find_erg & erg)
+                      find_erg & erg)
 {
   kStrategy strat = c->strat;
@@ -4600,16 +4511,16 @@
   assume (startf <= losl);
   assume ((startf == losl - 1)
-	  || (pLmCmp (los[startf].p, los[startf + 1].p) == -1));
+          || (pLmCmp (los[startf].p, los[startf + 1].p) == -1));
   int i = startf;
 
   int j;
-  while (i >= 0)
+  while(i >= 0)
   {
     assume ((i == losl - 1) || (pLmCmp (los[i].p, los[i + 1].p) <= 0));
     assume (is_valid_ro (los[i]));
     assume ((!(c->eliminationProblem))
-	    || (los[i].sugar >= c->pTotaldegree (los[i].p)));
+            || (los[i].sugar >= c->pTotaldegree (los[i].p)));
     j = kFindDivisibleByInS_easy (strat, los[i]);
-    if (j >= 0)
+    if(j >= 0)
     {
       erg.to_reduce_u = i;
@@ -4626,5 +4537,5 @@
       return;
     }
-    if (j < 0)
+    if(j < 0)
     {
       //not reduceable, try to use this for reducing higher terms
@@ -4633,18 +4544,18 @@
       assume ((i2 == 0) || (!pLmEqual (los[i2].p, los[i2 - 1].p)));
       assume (i >= i2);
-      if (i2 != i)
-      {
-	erg.to_reduce_u = i - 1;
-	erg.to_reduce_l = i2;
-	erg.reduce_by = i;
-	erg.fromS = FALSE;
-	assume ((i == losl - 1) || (pLmCmp (los[i].p, los[i + 1].p) == -1));
-	canonicalize_region (los, erg.to_reduce_u + 1, startf, c);
-	return;
+      if(i2 != i)
+      {
+        erg.to_reduce_u = i - 1;
+        erg.to_reduce_l = i2;
+        erg.reduce_by = i;
+        erg.fromS = FALSE;
+        assume ((i == losl - 1) || (pLmCmp (los[i].p, los[i + 1].p) == -1));
+        canonicalize_region (los, erg.to_reduce_u + 1, startf, c);
+        return;
       }
       i--;
     }
   }
-  erg.reduce_by = -1;		//error code
+  erg.reduce_by = -1;           //error code
   return;
 }
@@ -4661,15 +4572,15 @@
   int i = l;
   int last = -1;
-  while (i <= u)
-  {
-    if (los[i].p == NULL)
+  while(i <= u)
+  {
+    if(los[i].p == NULL)
     {
       kBucketDestroy (&los[i].bucket);
 //      delete los[i];//here we assume los are constructed with new
       //destroy resources, must be added here
-      if (last >= 0)
-      {
-	memmove (los + (int) (last + 1 - deleted), los + (last + 1),
-		 sizeof (red_object) * (i - 1 - last));
+      if(last >= 0)
+      {
+        memmove (los + (int) (last + 1 - deleted), los + (last + 1),
+                 sizeof (red_object) * (i - 1 - last));
       }
       last = i;
@@ -4678,30 +4589,29 @@
     i++;
   }
-  if ((last >= 0) && (last != losl - 1))
+  if((last >= 0) && (last != losl - 1))
     memmove (los + (int) (last + 1 - deleted), los + last + 1,
-	     sizeof (red_object) * (losl - 1 - last));
+             sizeof (red_object) * (losl - 1 - last));
   return deleted;
 }
 
-int
-search_red_object_pos (red_object * a, int top, red_object * key)
+int search_red_object_pos (red_object * a, int top, red_object * key)
 {
   int an = 0;
   int en = top;
-  if (top == -1)
+  if(top == -1)
     return 0;
-  if (pLmCmp (key->p, a[top].p) == 1)
+  if(pLmCmp (key->p, a[top].p) == 1)
     return top + 1;
   int i;
   loop
   {
-    if (an >= en - 1)
-    {
-      if (pLmCmp (key->p, a[an].p) == -1)
-	return an;
+    if(an >= en - 1)
+    {
+      if(pLmCmp (key->p, a[an].p) == -1)
+        return an;
       return en;
     }
     i = (an + en) / 2;
-    if (pLmCmp (key->p, a[i].p) == -1)
+    if(pLmCmp (key->p, a[i].p) == -1)
       en = i;
     else
@@ -4710,6 +4620,5 @@
 }
 
-static void
-sort_region_down (red_object * los, int l, int u, slimgb_alg * c)
+static void sort_region_down (red_object * los, int l, int u, slimgb_alg * c)
 {
   int r_size = u - l + 1;
@@ -4719,12 +4628,12 @@
   int bound = 0;
   BOOLEAN at_end = FALSE;
-  for (i = l; i <= u; i++)
-  {
-    if (!(at_end))
+  for(i = l; i <= u; i++)
+  {
+    if(!(at_end))
     {
       bound = new_indices[i - l] =
-	bound + search_red_object_pos (los + bound, l - bound - 1, los + i);
-      if (bound == l)
-	at_end = TRUE;
+        bound + search_red_object_pos (los + bound, l - bound - 1, los + i);
+      if(bound == l)
+        at_end = TRUE;
     }
     else
@@ -4735,5 +4644,5 @@
   red_object *los_region =
     (red_object *) omalloc (sizeof (red_object) * (u - l + 1));
-  for (int i = 0; i < r_size; i++)
+  for(int i = 0; i < r_size; i++)
   {
     new_indices[i] += i;
@@ -4745,7 +4654,7 @@
   int j = u;
   int j2 = l - 1;
-  while (i >= 0)
-  {
-    if (new_indices[i] == j)
+  while(i >= 0)
+  {
+    if(new_indices[i] == j)
     {
       los[j] = los_region[i];
@@ -4767,6 +4676,5 @@
 
 //assume that los is ordered ascending by leading term, all non zero
-static void
-multi_reduction (red_object * los, int &losl, slimgb_alg * c)
+static void multi_reduction (red_object * los, int &losl, slimgb_alg * c)
 {
   poly *delay = (poly *) omalloc (losl * sizeof (poly));
@@ -4778,10 +4686,10 @@
   wlen_type max_initial_quality = 0;
 
-  for (i = 0; i < losl; i++)
+  for(i = 0; i < losl; i++)
   {
     los[i].sev = pGetShortExpVector (los[i].p);
 //SetShortExpVector();
     los[i].p = kBucketGetLm (los[i].bucket);
-    if (los[i].initial_quality > max_initial_quality)
+    if(los[i].initial_quality > max_initial_quality)
       max_initial_quality = los[i].initial_quality;
     // else
